> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2p1/endpoints/case-details/constitutional-clause.md).

# Constitutional Clause

## Filter by constitutional clause (constitutional\_clause\_id).

<mark style="color:blue;">`GET`</mark>` `` ``https://clearinghouse.net/api/v2p1/cases?constitutional_clause=constitutional_clause_id `

#### Query Parameters

| Name                                                         | Type    | Description                                                                       |
| ------------------------------------------------------------ | ------- | --------------------------------------------------------------------------------- |
| constitutional\_clause\_id<mark style="color:red;">\*</mark> | integer | constitutional clause (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Case successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported constitutional clause IDs (constitutional\_clause\_id):

| 5335  | Commerce Power                        |
| ----- | ------------------------------------- |
| 5314  | Due Process                           |
| 5315  | Ex Post Facto                         |
| 5317  | Self-incrimination                    |
| 5316  | Right to travel                       |
| 5336  | Full faith and credit                 |
| 5364  | Suspension Clause                     |
| 5363  | Due Process: Substantive Due Process  |
| 5347  | Excessive bail/fines                  |
| 5348  | Slavery/Involuntary servitude         |
| 5361  | Petitions clause                      |
| 5571  | Cruel and Unusual Punishment          |
| 5537  | Equal Protection                      |
| 5598  | Emoluments Clauses                    |
| 5587  | Takings                               |
| 5581  | Supremacy Clause                      |
| 5373  | Enumerations Clause                   |
| 5362  | Due Process: Procedural Due Process   |
| 38546 | Fifteenth Amendment                   |
| 5510  | Establishment Clause                  |
| 5475  | Federalism (including 10th Amendment) |
| 5511  | Freedom of speech/association         |
| 5509  | Free Exercise Clause                  |
| 5445  | Unreasonable search and seizure       |

For more information about constitutional clauses, see [Issues](/api-reference-v2p1/objects/case/issues.md#constitutional-clause).

## **Example** <a href="#example" id="example"></a>

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?constitutional_clause=5510
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?constitutional_clause=5510"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/endpoints/case-details/constitutional-clause.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
